Name: H5Soffset_simple
Signature:
  herr_t `H5Soffset_simple`(hid_t `space_id`, const hssize_t *`offset` )
Purpose:
  Sets the offset of a simple dataspace.
Description:
  `H5Soffset_simple` sets the offset of a simple dataspace `space_id`. The `offset` array must be the same number of elements as the number of dimensions for the dataspace. If the `offset` array is set to `NULL`, the offset for the dataspace is reset to 0.

  This function allows the same shaped selection to be moved to different locations within a dataspace without requiring it to be redefined.

Parameters:

hid_t `space_id` | IN: The identifier for the dataspace object to reset.
const hssize_t *`offset` | IN: The offset at which to position the selection.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5soffset_simple_f

      SUBROUTINE h5soffset_simple_f(space_id, offset, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id    ! Dataspace identifier
        INTEGER(HSSIZE_T), DIMENSION(*), INTENT(IN) ::  offset
                                                  ! The offset at which to position
                                                  ! the selection
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5soffset_simple_f